Subject: bug#663: Adding --quiet option to emacsclient

From: Anders Kaseorg <[email-masked]>
Date: Wed, 1 Sep 2010 17:34:27 -0400 (EDT)

This is important and should possibly be on by default, because the 
“Waiting for Emacs...” message has bad interactions with running 
emacsclient in the background (*):

anders@balanced-tree:~$ emacsclient -c /tmp/foo &
[1] 5759
anders@balanced-tree:~$ Waiting for Emacs...<cursor ends up here>

The newline isn’t printed until the frame closes, where it’s likely to 
interrupt my typing of another command.

Anders

(*) As recommended by the emacs(1) manpage:
   Using Emacs with X
       Emacs  has been tailored to work well with the X window system.  If you
       run Emacs from under X windows, it will create its own X window to dis‐
       play  in.   You  will probably want to start the editor as a background
       process so that you can continue using your original window.